Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util.statistics
Class UserSessionStatistics

    java.lang.Object
      oracle.ifs.core.util.statistics.UserSessionStatistics

All Implemented Interfaces:
  java.lang.Cloneable

    public class UserSessionStatistics

extends java.lang.Object
implements java.lang.Cloneable

A UserSessionStatistics represents the detailed statistics for an active user on this node.

Constructor Summary
`protected` | `UserSessionStatistics(java.lang.Long userId)` Construct a UserSessionStatistics.

Method Summary
`protected void` | `addApplicationSession(long appSessionId, java.lang.String appName)` Add an application session for this user
`protected void` | `addLibrarySession(java.lang.Long sessionId)` Add a LibrarySession for this user
`UserSessionStatistics` | `clone(LibrarySession session)` Returns a clone of this object.
`ApplicationSessionStatistics[]` | `getApplicationSessionStatistics()` Get the statistics for the currently active FDK sessions.
`int` | `getCurrentApplicationSessionCount()` Get the current number of Application Sessions
`int` | `getCurrentLibrarySessionCount()` Get the current number of LibrarySessions
`java.util.Date` | `getFirstConnectTime()` Get the time the user first connected.
`LibrarySessionStatistics[]` | `getLibrarySessionStatistics()` Get the statistics for the currently active LibrarySessions.
`int` | `getMaxApplicationSessions()` Get the maximum number of application sessions obtained by this user during the life of this node.
`int` | `getMaxLibrarySessions()` Get the maximum number of LibrarySessions obtained by this user during the life of this node.
`java.lang.Long` | `getUserId()` Get the user ID.
`boolean` | `isEmpty()` Check to see if there are no active sessions.
`protected void` | `removeApplicationSession(long appSessionId)` Remove an application session for this user
`protected void` | `removeLibrarySession(java.lang.Long sessionId)` Remove an LibrarySessions for this user.
`java.lang.String` | `toString()` Return string representation of the UserSessionStatistics, using the default date format that specified date strings in the format "yyyy/MM/dd HH:mm:ss".
`java.lang.String` | `toString(java.text.DateFormat dateFormat)` Return string representation of the UserSessionStatistics, using the specified DateFormat and no string prefix applied to the formatted lines.
`java.lang.String` | `toString(java.text.DateFormat dateFormat, java.lang.String prefix)` Return string representation of the UserSessionStatistics, using the specified DateFormat and prefix.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserSessionStatistics

    protected UserSessionStatistics(java.lang.Long userId)

  Construct a UserSessionStatistics.

  Parameters:
    `userId` - ID of the user

Method Detail

### getUserId

    public java.lang.Long getUserId()

  Description copied from class: `UserSessionStatistics`
  Get the user ID.

  Returns:
    the user ID

### getFirstConnectTime

    public java.util.Date getFirstConnectTime()

  Description copied from class: `UserSessionStatistics`
  Get the time the user first connected.

  Returns:
    the time the user first connected

### getCurrentApplicationSessionCount

    public int getCurrentApplicationSessionCount()

  Description copied from class: `UserSessionStatistics`
  Get the current number of Application Sessions

  Returns:
    the current number of Application Sessions

### getMaxApplicationSessions

    public int getMaxApplicationSessions()

  Description copied from class: `UserSessionStatistics`
  Get the maximum number of application sessions obtained by this user during the life of this node.

  Returns:
    the max number of application sessions

### getCurrentLibrarySessionCount

    public int getCurrentLibrarySessionCount()

  Description copied from class: `UserSessionStatistics`
  Get the current number of LibrarySessions

  Returns:
    the current number of LibrarySessions

### getMaxLibrarySessions

    public int getMaxLibrarySessions()

  Description copied from class: `UserSessionStatistics`
  Get the maximum number of LibrarySessions obtained by this user during the life of this node.

  Returns:
    the max number of LibrarySessions

### getApplicationSessionStatistics

    public ApplicationSessionStatistics[] getApplicationSessionStatistics()

  Description copied from class: `UserSessionStatistics`
  Get the statistics for the currently active FDK sessions.

  Returns:
    statistics for the currently active FDK sessions.

### getLibrarySessionStatistics

    public LibrarySessionStatistics[] getLibrarySessionStatistics()

  Description copied from class: `UserSessionStatistics`
  Get the statistics for the currently active LibrarySessions.

  Returns:
    statistics for the currently active LibrarySessions

### addApplicationSession

    protected void addApplicationSession(long appSessionId,
                                         java.lang.String appName)

  Description copied from class: `UserSessionStatistics`
  Add an application session for this user

  Parameters:
    `appSessionId` - app session ID
    `appName` - app name

### removeApplicationSession

    protected void removeApplicationSession(long appSessionId)

  Description copied from class: `UserSessionStatistics`
  Remove an application session for this user

  Parameters:
    `appSessionId` - app session ID

### addLibrarySession

    protected void addLibrarySession(java.lang.Long sessionId)

  Description copied from class: `UserSessionStatistics`
  Add a LibrarySession for this user

  Parameters:
    `sessionId` - LibrarySession ID

### removeLibrarySession

    protected void removeLibrarySession(java.lang.Long sessionId)

  Description copied from class: `UserSessionStatistics`
  Remove an LibrarySessions for this user.

  Parameters:
    `sessionId` - session ID

### isEmpty

    public boolean isEmpty()

  Description copied from class: `UserSessionStatistics`
  Check to see if there are no active sessions.

  Returns:
    true if there are no active sessions

### clone

    public UserSessionStatistics clone(LibrarySession session)
                                throws IfsException

  Description copied from class: `UserSessionStatistics`
  Returns a clone of this object.

  Parameters:
    `session` - the session context
  Returns:
    a clone of this UserSessionStatistics
  Throws:
    `IfsException`

### toString

    public java.lang.String toString()

  Description copied from class: `UserSessionStatistics`
  Return string representation of the UserSessionStatistics, using the default date format that specified date strings in the format "yyyy/MM/dd HH:mm:ss".

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation

### toString

    public java.lang.String toString(java.text.DateFormat dateFormat)

  Description copied from class: `UserSessionStatistics`
  Return string representation of the UserSessionStatistics, using the specified DateFormat and no string prefix applied to the formatted lines.

  Parameters:
    `dateFormat` - the desired date format
  Returns:
    the string representation

### toString

    public java.lang.String toString(java.text.DateFormat dateFormat,
                                     java.lang.String prefix)

  Description copied from class: `UserSessionStatistics`
  Return string representation of the UserSessionStatistics, using the specified DateFormat and prefix.

  Parameters:
    `dateFormat` - the desired date format
    `prefix` - the prefix to prepend to each line
  Returns:
    the string representation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD